MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Data Structures | Macros | Typedefs | Functions | Variables
DLOG4CH

## Modules
| Module overview

## Data Structures
struct | _DLOG_4CH_
| Defines the data logging (DLOG) object. More...

## Macros
#define | DLOG_4CH_DEFAULTS
| Defines the default initalization for the DLOG object. More...

## Typedefs
typedef struct _DLOG_4CH_ | DLOG_4CH
| Defines the data logging (DLOG) object. More...
typedef struct _DLOG_4CH_Obj_ * | DLOG_4CH_handle
| Defines the DLOG handle. More...

## Functions
void | DLOG_4CH_init (void *ptr)
| Initializes the data logger. More...
void | DLOG_4CH_update (void *ptr)
| Updates the data logger. More...

## Variables
DLOG_4CH | dlog
| Defines the DLOG object. More...
int16_t | DlogCh1
| Defines DLOG channel 1. More...
int16_t | DlogCh2
| Defines DLOG channel 2. More...
int16_t | DlogCh3
| Defines DLOG channel 3. More...
int16_t | DlogCh4
| Defines DLOG channel 4. More...

## Detailed Description

## Macro Definition Documentation

#define DLOG_4CH_DEFAULTS

Value:
{ 0UL, \
NULL, \
NULL, \
NULL, \
NULL, \
0, \
1, \
0, \
0, \
0UL, \
0x0C0, \
(int16_t (*)(int))DLOG_4CH_init, \
(int16_t (*)(int))DLOG_4CH_update }
DLOG_4CH_update
void DLOG_4CH_update(void *ptr)
Updates the data logger.
DLOG_4CH_init
void DLOG_4CH_init(void *ptr)
Initializes the data logger.

Defines the default initalization for the DLOG object.

Definition at line 70 of file dlog4ch.h.

## Typedef Documentation

typedef struct _DLOG_4CH_ DLOG_4CH

Defines the data logging (DLOG) object.

typedef struct _DLOG_4CH_Obj_* DLOG_4CH_handle

Defines the DLOG handle.

Definition at line 111 of file dlog4ch.h.

## Function Documentation

void DLOG_4CH_init | ( | void * | ptr | ) |

Initializes the data logger.

Parameters

  [in] | ptr | The pointer to memory

void DLOG_4CH_update | ( | void * | ptr | ) |

Updates the data logger.

Parameters

  [in] | ptr | The pointer to memory

## Variable Documentation

DLOG_4CH dlog

Defines the DLOG object.

Definition at line 53 of file dlog4ch.c.

int16_t DlogCh1

Defines DLOG channel 1.

Definition at line 56 of file dlog4ch.c.

int16_t DlogCh2

Defines DLOG channel 2.

Definition at line 57 of file dlog4ch.c.

int16_t DlogCh3

Defines DLOG channel 3.

Definition at line 58 of file dlog4ch.c.

int16_t DlogCh4

Defines DLOG channel 4.

Definition at line 59 of file dlog4ch.c.